OpenNMS API 1.2.9

## org.opennms.report.availability
Class Report

    java.lang.Object
      org.opennms.report.availability.Report

All Implemented Interfaces:
  java.io.Serializable

public class Report
extends java.lang.Object
implements java.io.Serializable

The top-level element for availability reports.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_author`
`private int` `_catCount`
`private Categories` `_categories`
`private Created` `_created`
`private boolean` `_has_catCount` keeps track of state for field: _catCount
`private boolean` `_has_sectionCount` keeps track of state for field: _sectionCount
`private java.lang.String` `_logo`
`private int` `_sectionCount`
`private ViewInfo` `_viewInfo` element name="viewInfo"
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`Report()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`void` `deleteCatCount()`
`void` `deleteSectionCount()`
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getAuthor()` Returns the value of field 'author'.
`int` `getCatCount()` Returns the value of field 'catCount'.
`Categories` `getCategories()` Returns the value of field 'categories'.
`Created` `getCreated()` Returns the value of field 'created'.
`java.lang.String` `getLogo()` Returns the value of field 'logo'.
`int` `getSectionCount()` Returns the value of field 'sectionCount'.
`ViewInfo` `getViewInfo()` Returns the value of field 'viewInfo'.
`boolean` `hasCatCount()`
`boolean` `hasSectionCount()`
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setAuthor(java.lang.String author)` Sets the value of field 'author'.
`void` `setCatCount(int catCount)` Sets the value of field 'catCount'.
`void` `setCategories(Categories categories)` Sets the value of field 'categories'.
`void` `setCreated(Created created)` Sets the value of field 'created'.
`void` `setLogo(java.lang.String logo)` Sets the value of field 'logo'.
`void` `setSectionCount(int sectionCount)` Sets the value of field 'sectionCount'.
`void` `setViewInfo(ViewInfo viewInfo)` Sets the value of field 'viewInfo'.
`static Report` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _logo

    private java.lang.String _logo

### _created

    private Created _created

### _author

    private java.lang.String _author

### _viewInfo

    private ViewInfo _viewInfo

  element name="viewInfo"

### _categories

    private Categories _categories

### _catCount

    private int _catCount

### _has_catCount

    private boolean _has_catCount

  keeps track of state for field: _catCount

### _sectionCount

    private int _sectionCount

### _has_sectionCount

    private boolean _has_sectionCount

  keeps track of state for field: _sectionCount

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### Report

    public Report()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### deleteCatCount

    public void deleteCatCount()

### deleteSectionCount

    public void deleteSectionCount()

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getAuthor

    public java.lang.String getAuthor()

  Returns the value of field 'author'.

  Returns:
    the value of field 'author'.

### getCatCount

    public int getCatCount()

  Returns the value of field 'catCount'.

  Returns:
    the value of field 'catCount'.

### getCategories

    public Categories getCategories()

  Returns the value of field 'categories'.

  Returns:
    the value of field 'categories'.

### getCreated

    public Created getCreated()

  Returns the value of field 'created'.

  Returns:
    the value of field 'created'.

### getLogo

    public java.lang.String getLogo()

  Returns the value of field 'logo'.

  Returns:
    the value of field 'logo'.

### getSectionCount

    public int getSectionCount()

  Returns the value of field 'sectionCount'.

  Returns:
    the value of field 'sectionCount'.

### getViewInfo

    public ViewInfo getViewInfo()

  Returns the value of field 'viewInfo'. The field 'viewInfo' has the following description: element name="viewInfo"

  Returns:
    the value of field 'viewInfo'.

### hasCatCount

    public boolean hasCatCount()

### hasSectionCount

    public boolean hasSectionCount()

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setAuthor

    public void setAuthor(java.lang.String author)

  Sets the value of field 'author'.

  Parameters:
    `author` - the value of field 'author'.

### setCatCount

    public void setCatCount(int catCount)

  Sets the value of field 'catCount'.

  Parameters:
    `catCount` - the value of field 'catCount'.

### setCategories

    public void setCategories(Categories categories)

  Sets the value of field 'categories'.

  Parameters:
    `categories` - the value of field 'categories'.

### setCreated

    public void setCreated(Created created)

  Sets the value of field 'created'.

  Parameters:
    `created` - the value of field 'created'.

### setLogo

    public void setLogo(java.lang.String logo)

  Sets the value of field 'logo'.

  Parameters:
    `logo` - the value of field 'logo'.

### setSectionCount

    public void setSectionCount(int sectionCount)

  Sets the value of field 'sectionCount'.

  Parameters:
    `sectionCount` - the value of field 'sectionCount'.

### setViewInfo

    public void setViewInfo(ViewInfo viewInfo)

  Sets the value of field 'viewInfo'. The field 'viewInfo' has the following description: element name="viewInfo"

  Parameters:
    `viewInfo` - the value of field 'viewInfo'.

### unmarshal

    public static Report unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.